<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id$
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?

require("modules/base/includes/users.inc.php");

if (isset($_POST["filter"])) $_GET["filter"] = $_POST["filter"];

if (!isset($_GET["items"]))
{
    $users = get_users_detailed(&$error, $_GET["filter"]);
    $start = 0;

    if (count($users) > 0) $end = $conf["global"]["maxperpage"] - 1;
    else $end = 0;
} else $users = unserialize(base64_decode(urldecode($_GET["items"])));

if (isset($_GET["start"])) {
    $start = $_GET["start"];
    $end = $_GET["end"];
}

if (!$users) {
    $start = 0;
    $end = 0;
}

if (isset($_POST["filter"])) {
    $start = 0;
    $end = 9;
}

$title = "Sélectionnez un utilisateur pour éditer ses droits sur le service d'impression";
$title = _T("Select a user to edit rights on printing system");

$path = array(array("name" => _("Home"),
                    "link" => "index.php"),
              array("name" => _T("Printers"),
                    "link" => "main.php?module=printers&submod=printers&action=index"),
              array("name" => _T("User's rights")));

require("localSidebar.php");
require("graph/navbar.inc.php");

echo "<h2>$title</h2>";
print '<div class="fixheight"></div>';

$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();

print_nav($start, $end, $users, 1);

global $maxperpage;

?>

<p class="listInfos">
Utilisateurs <strong><?php echo min(($start + 1), count($users)); ?></strong>
à <strong><?php echo min(($end + 1), count($users)); ?></strong>
sur un total de <strong><?php echo count($users); ?></strong>
(page <?php printf("%.0f", ($end + 1) / $maxperpage); ?>
de
<?php
 $pages = count($users) / $maxperpage;
 if ((count($users) % $maxperpage > 0) && (count($users) > $maxperpage))
   {
     $pages++;
   }
 if ((count($users) > 0) && ($pages < 1))
   {
     $pages = 1;
   }
 printf("%.0f", $pages);
?>
)
</p>

<table border="1" cellspacing="0" cellpadding="5">
<?php

for ($idx = $start;
     ($idx < count($users)) && ($idx <= $end);
     $idx++)
{
  if (($start - $idx) % 2)
  {
    echo "<tr>";
    }
  else
    {
      echo "<tr class=\"alternate\">";
    }

  echo "<td class=\"userName\"><a title=\"edition\" href=\"main.php?module=printers&submod=printers&action=printersbyuser&user=".urlencode($users[$idx]["uid"])."\">".$users[$idx]["uid"]."</a></td>";
  echo "<td>".$users[$idx]["givenName"]. " " . $users[$idx]["sn"] . "</td>";

  echo "<td class=\"userAction\">";
  echo "<ul class=\"action\">";
  echo "<li class=\"afficher\"><a title=\""._T("Edit")."\" href=\"main.php?module=printers&submod=printers&action=printersbyuser&user=".urlencode($users[$idx]["uid"])."\">"._T("Edit rights")."</a></li>";
  echo "</ul></td>";

  echo "</tr>\n";
}

?>

</table>
<?php
print_nav($start, $end, $users);
?>
