<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2008 Mandriva, http://www.mandriva.com
 *
 * $Id: infoPackage.inc.php 8 2008-05-19 16:20:48Z cdelfosse $
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/**
 * module declaration
 */
$mod = new Module("printing");
$mod->setVersion("2.3.1");
$mod->setRevision("$Rev: 8 $");
$mod->setDescription(_T("Printing rights"),"printing");
$mod->setAPIVersion('1:0:0');

$submod = new SubModule("printers");
$submod->setDescription(_T("Printers","printing"));
$submod->setImg('img/navbar/printers');
$submod->setDefaultPage("printing/printers/index");
$submod->setPriority(250);

$page = new Page("index",_T("Printers queues management","printing"));
$submod->addPage($page);

$page = new Page("ajaxFilter");
$page->setOptions( array ("AJAX" => True));
$submod->addPage($page);

$page = new Page("delete",_T("Delete a printer queue","printing"));
$page->setOptions( array ("noHeader" => True,"visible"=>False));
$submod->addPage($page);

$page = new Page("add",_T("Add a printer queue","printing"));
$submod->addPage($page);

$page = new Page("bygroup",_T("Printers rights by group","printing"));
$submod->addPage($page);

$page = new Page("printersbygroup",_T("Edit printers rights by group","printing"));
$page->setOptions(array("visible"=>False));
$submod->addPage($page);

$page = new Page("byprinter",_T("Printers rights by printers","printing"));
$submod->addPage($page);

$page = new Page("byprinteraccess",_T("Edit printers rights by printers","printing"));
$page->setOptions(array("visible"=>False));
$submod->addPage($page);

$mod->addSubmod($submod);

$MMCApp =&MMCApp::getInstance();
$MMCApp->addModule(&$mod);
?>
