<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id$
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?

require("modules/printing/includes/xmlrpc.php");
require("modules/base/includes/groups-xmlrpc.inc.php");

require_once("includes/config.inc.php");

require_once("includes/session.inc.php");
require_once("includes/i18n.inc.php");
require_once("includes/acl.inc.php");
require_once("includes/ajaxTools.php");
require_once("includes/PageGenerator.php");

$title = _T("Delete a printing queue",'printers');

print "<h2>$title</h2>";

if (isset($_POST["delyes"]) || isset($_POST["delno"])) {
    print_r($_POST);
    $queuename = $_POST["queue"];
    delPrinter($queuename);
    global $errorStatus;
    if ($errorStatus) $error .= getErrorDescription("delete");
    else $result = _T("The printing queue has been deleted succesfully",'printers');

    if (isset($_POST["delyes"])) {
        /* Also delete the associated group */
        $members = get_members($queuename);
        foreach($members as $idx => $member)
            del_member($queuename, $member);
        $result = $result . "<br/>" . del_group($queuename);
    }

    if (isset($error))
        $str.= "<div id=\"errorCode\">$error</div>";

    if (isset($result))
        $str.= "$result";
    new NotifyWidgetSuccess($str);

    header("location: " . urlStrRedirect('printing/printers/index'));
} else {
    $queuename = $_GET["param"];
    $groups = get_groups($error);

    printf(_T("<p>Do you confirm removal of the printing queue <b>%s<b> ?</p>",'printers'),$queuename);
    echo _T("<p>Warning: this operation remove also all users and groups rights linked to this printing queue.</p>",'printers');
    if (!(array_search($queuename, $groups) === False))
         printf(_T("<p>An users group with the name <b>%s</b>, may be linked to this printing queue. You can remove it at the same time",'printers','printers'),$queuename);
    print '
<form method="post" action="' . $_SERVER["REQUEST_URI"] . '">
<input name="queue" value="' . $queuename . '" type="hidden" />';
    if (!(array_search($queuename, $groups) === False))
        print '<input name="delyes" type="submit" class="btnPrimary" value="'._T("Confirm delete",'printers').'" />
              <input name="delno" type="submit" class="btnPrimary" value="'._T("Delete but keep the linked group",'printers').'" />';
    else print '<input name="delno" type="submit" class="btnPrimary" value="'._T("Confirm delete",'printers').'" />';

    ?><input name="bback" type="submit" class="btnSecondary" value="<?= _("Cancel"); ?>" onClick="new Effect.Fade('popup'); return false;"/><?

print '
</form>
';
}

?>
