<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id$
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?

/* $Id$ */

$title = "Droits sur l'imprimante $printer";

$path = array(array("name" => "Accueil",
                    "link" => "main.php"),
              array("name" => "Imprimantes",
                    "link" => "main.php?module=printers&submod=printers&action=index"),
              array("name" => "Vue par utilisateur",
                    "link" => "main.php?module=printers&submod=printers&action=byuser"),
              array("name" => "Liste des imprimantes",
                    "link" => "main.php?module=printers&submod=printers&action=printersforuser"),
              array("name" => "$title"));

require("localSidebar.php");
require("graph/navbar.inc.php");
require("modules/printing/includes/xmlrpc.php");

$user = $_GET["user"];
$printer = $_GET["printer"];
echo "<h2>Droit de l'utilisateur $user sur l'imprimante $printer</h2>";
print '<div class="fixheight"></div>';

$priorities = array("ignored" => "0", "default" => 1, "forced" => 2);
$values = array("" => "False", "on" => "True");

if (isset($_POST["validate"])) {
    $access = $_POST["access"];
    $type = $priorities[$_POST["type"]];
    $rights = array("access" => array($type, $values[$_POST["access"]]));
    setUserRightsOnPrinter($user, $printer, $rights);
}

$rights = getUserRightsOnPrinter($user, $printer);
$grights = getGlobalRights($user);
$display = array();

$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();

print '

<form method="POST">

<table>
 <tr>
  <td>Utilisation de la file d\'impression</td>
  <td>';
print '<input type="checkbox" name="access" '.$rights["accesschecked"].' ' . $rights["accessdisabled"] . '>';
print '
  </td>';
if (!isset($rights["accessforced"])) {
print '
  <td>
    <select name="type" '. $rights["selectdisabled"]. '>';
print '<option value="ignored"'.$rights["selected_ignored"].'>Valeur ignorée</option>';
print '<option value="default"'.$rights["selected_default"].'>Valeur par défaut</option>';
print '<option value="forced"'.$rights["selected_forced"].'>Valeur forcée</option>';
print '
    </select>
  </td>';
}
print '
  <td>
  '
  .$display["accessmessage"].
  '
  </td>
 </tr>
</table>

<input class="btnPrimary" name="validate" type="submit" value="Valider">

</form>

';

?>