<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id$
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?

/* $Id$ */

$gpo = $_GET["gpo"];

switch ($gpo) {
 case "access":
     $title = "Droits d'accès au service d'impression";
     $gponame = "GPOPrintServiceAccessAllowed";
     break;
 case "allrights":
     $title = "Droits d'accès sans restriction au service d'impression";
     $gponame = "GPOPrintServiceAllRights";
     break;
 default: exit;
}

$path = array(array("name" => "Accueil",
                    "link" => "main.php"),
              array("name" => "Imprimantes",
                    "link" => "main.php?module=printers&submod=printers&action=index"),
              array("name" => "Autres droits d'impression",
                    "link" => "main.php?module=printers&submod=printers&action=byspecial"),
              array("name" => "$title"));

require("localSidebar.php");
require("graph/navbar.inc.php");
require("modules/printing/includes/xmlrpc.php");

/* To get user and group list */
require("modules/base/includes/groups.inc.php");
require("modules/base/includes/users.inc.php");

echo "<h2>$title</h2>";
print '<div class="fixheight"></div>';

$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();

if (isset($_POST["badduser"])) {
    foreach($_POST["users"] as $idx => $user)
        if ($gpo == "access")
            setUserPrintServiceAccess($user, True);
        elseif ($gpo == "allrights")
            setUserPrintServiceAllRights($user, True);
        else exit();
}

if (isset($_POST["bdeluser"])) {
    foreach($_POST["ausers"] as $idx => $user)
        if ($gpo == "access")
            setUserPrintServiceAccess($user, False);
        else if ($gpo == "allrights")
            setUserPrintServiceAllRights($user, False);
        else exit();
}

if (isset($_POST["baddgroup"])) {
    foreach($_POST["groups"] as $idx => $group)
        if ($gpo == "access")
            setGroupPrintServiceAccess($group, True);
        else if ($gpo == "allrights")
            setGroupPrintServiceAllRights($group, True);
        else exit();
}

if (isset($_POST["bdelgroup"])) {
    foreach($_POST["agroups"] as $idx => $group)
        if ($gpo == "access")
            setGroupPrintServiceAccess($group, False);
        else if ($gpo == "allrights")
            setGroupPrintServiceAllRights($group, False);
        else exit();
}

/* List of users and groups */
$users = get_users($error);
$groups = get_groups($error);

/* List of authorized users and groups */
$ausers = getUsersGPO($gponame);
$agroups = getGroupsGPO($gponame);

?>

<style type="text/css">
<!--

#fullaccess div.list
{
        float: left;
}

select.list
{
        width: 250px;
}

-->
</style>

<!-- First form: users form -->

<form method="POST">

<div>
<table style="border: none;" cellspacing="0">
<tr><td style="border: none;">
  <div class="list">
        <h3>Tous les utilisateurs</h3>
    <select multiple size="10" class="list" name="users[]">

<?php
foreach ($users as $idx => $user)
{
    $idx = array_search($user, $ausers);
    if ($idx === false) echo "<option value=\"".$user."\">".$user."</option>\n";
}
?>
    </select>

    <br>
    
  </div>
  </td><td style="border: none;">
  <div> 
  <input type="submit" class="btnPrimary" name="bdeluser" value="<--" /><br/>
  <input type="submit" class="btnPrimary" name="badduser" value="-->" />
  </div>
  </td><td style="border: none;">
  
  <div class="list" style="padding-left: 80px;">
      <h3>Utilisateurs autorisés</h3>
    <select multiple size="10" class="list" name="ausers[]">
<?php
foreach ($ausers as $idx => $user)
{
  echo "<option value=\"".$user."\">".$user."</option>\n";
}
?>
    </select>

    <br>
    
  </div>
  <div class="clearer"></div>
  </td></tr>
</table>
</div>

<!-- second form: groups form -->

<div>
<table style="border: none;" cellspacing="0">
<tr><td style="border: none;">
  <div class="list">
        <h3>Tous les groupes</h3>
    <select multiple size="10" class="list" name="groups[]">

<?php
foreach ($groups as $idx => $group)
{
    $idx = array_search($group, $agroups);
    if ($idx === false) echo "<option value=\"".$group."\">".$group."</option>\n";
}
?>
    </select>

    <br>
    
  </div>
  </td><td style="border: none;">
  <div> 
  <input type="submit" class="btnPrimary" name="bdelgroup" value="<--" /><br/>
  <input type="submit" class="btnPrimary" name="baddgroup" value="-->" />
  </div>
  </td><td style="border: none;">
  
  <div class="list" style="padding-left: 80px;">
      <h3>Groupes autorisés</h3>
    <select multiple size="10" class="list" name="agroups[]">
<?php
foreach ($agroups as $idx => $group)
{
  echo "<option value=\"".$group."\">".$group."</option>\n";
}
?>
    </select>

    <br>
    
  </div>
  <div class="clearer"></div>
  </td></tr>
</table>
</div>

</form>

